TITLE "Reset MarkMail pointers using BBSID.PNT"

; NOTE: This script file is for use with Robocomm ver 4.x
;       and the MarkMail door. It assumes that PKunZIP and PKZIP
;       are in your path. Written by Michael MacDonald
;-----------------------------------------------------------------------

MESSAGE "Resetting message pointers"
WHEN "%BBS32%" SEND "N|"                       ;More?
WHEN "%BBS34%" SEND "|"                        ;Pause
WAITFOR "%BBS35%"                              ;Main Board Prompt
SEND "OPEN %BBS63%|"                           ;Door number
WAITFOR "%BBS40%"                              ;Mail Door Main Prompt
RUN "PKUNZIP -o %QWKDIR%%ID%.QWK %ID%.PNT"     ;Unzip the PNT file
IF ERRORLEVEL GOTO ERROR                       ;PKunZIP failed
RUN "PKZIP %REPDIR%%ID%.REP %ID%.PNT"          ;Zip it into the REP
IF ERRORLEVEL GOTO ERROR                       ;PKZIP failed
SEND "U|"                                      ;Request REP upload
WAITFOR "%BBS42%"                              ;Start REP upload
UPLOAD "%REPDIR%%ID%.REP" USING "%BBS22%"      ;Upload the REP
WAITFOR "%BBS40%"                              ;Mail Main Prompt
MESSAGE "Deleting %REPDIR%%ID%.OLD"
ERASE "%REPDIR%%ID%.OLD"                       ;Delete BBSID.OLD
MESSAGE "Renaming %REPDIR%%ID%.REP to %REPDIR%%ID%.OLD"
RENAME "%REPDIR%%ID%.REP" TO "%REPDIR%%ID%.OLD";Rename REP file
SEND "Q|"                                      ;Quit back to PCBoard
EXIT 0                                         ;Exit the script
:ERROR
SEND "Q|"                                      ;Quit the Mail Door
EXIT 1                                         ;Exit with an error

