TITLE "Reset Qmail pointers using BBSID.PTR"

;-----------------------------------------------------------------------
; NOTE: This script file is for use with Robocomm ver 4.x
;       and the Qmail door. It assumes the PKunZIP is in
;       your path. Written by Michael MacDonald
;-----------------------------------------------------------------------

PARAMETER 1 "Set pointers to [1] AFTER or [2] BEFORE last D/L?"
ENDPARAMS
MESSAGE "Resetting message pointers"
WHEN "%BBS32%" SEND "N|"                       ;More?
WHEN "%BBS34%" SEND "|"                        ;Pause
WAITFOR "%BBS35%"                              ;Main Board Prompt
SEND "OPEN %BBS63%|"                           ;Open the Mail Door
WAITFOR "%BBS40%"                              ;Mail Door Main Prompt
RUN "PKUNZIP -o %QWKDIR%%ID%.QWK %ID%.PTR"     ;Unzip the PTR
IF ERRORLEVEL GOTO ERROR                       ;See if PKunZIP fails
SEND "R|"                                      ;Request PTR upload
WAITFOR "%ID%.PTR"                             ;The BBS is ready
UPLOAD "%ID%.PTR" USING "%BBS22%"              ;Start PTR upload
WAITFOR "Please select"                        ;Reset pointers to 1 or 2
SEND "%P1%|"                                   ;Send your choice
WAITFOR "%BBS40%"                              ;Mail Main Prompt
SEND "Q|"                                      ;Quit the Mail Door
EXIT 0                                         ;Exit the script
:ERROR
SEND "Q|"                                      ;Exit with an error
EXIT 1

