TITLE "Reset RoseMail pointers using BBSID.PTR"

;-----------------------------------------------------------------------
; NOTE: This script file is for use with Robocomm ver 4.x
;       and the RoseMail door. It assumes the PKunZIP is in
;       your path. Written by Michael MacDonald
;-----------------------------------------------------------------------

PARAMETER 1 "Set pointers to [B]efore or [A]fter last D/L?"
ENDPARAMS
MESSAGE "Resetting message pointers"
WHEN "%BBS32%" SEND "N|"                       ;More?
WHEN "ENTER TO CONTINUE" SEND "|"              ;Pause
WAITFOR "%BBS35%"                              ;Main Board Prompt
SEND "OPEN %BBS63%|"                           ;Open the Mail Door
WAITFOR "%BBS40%"                              ;Mail Door Main Prompt
RUN "PKUNZIP -o %QWKDIR%%ID%.QWK %ID%.PTR"     ;Unzip the PTR
IF ERRORLEVEL GOTO ERROR                       ;See if PKunZIP fails
SEND "R|"                                      ;Request PTR upload
WAITFOR "%ID%.PTR"                             ;The BBS is ready
UPLOAD "%ID%.PTR" USING "%BBS22%"              ;Start PTR upload
WAITFOR "(ENTER to abort)"
SEND "%P1%|"                                   ;Reset pointers to B or A
MESSAGE "Message pointers reset to %P1%"
WAITFOR "%BBS40%"                              ;Mail Main Prompt
SEND "Q|"                                      ;Quit the Mail Door
EXIT 0                                         ;Exit the script
:ERROR
SEND "Q|"                                      ;Exit with an error
EXIT 1

