TITLE "Downloads all new files w/descriptions (PCBoard)"
;
;
;
PARAMETER 1 "Directories to scan (blank=all)"
ENDPARAMS

    MESSAGE "VAMPIRE -- Sucking down all new files in sight!"

    ; Open a capture file for the descriptions.
    CAPTURE "VAMPIRE.LST" OVERWRITE

    ; Send the command to scan and flag all new files.
    ; Only one of these two will be executed.
    IF EMPTY "%P1%" SEND "N;S;A;D;NS|"
    IF NOT EMPTY "%P1%" SEND "N;S;%P1%;D;NS|"

    WAITFOR "%BBS35%"                      ; Main Board Prompt

    ; Close the capture file
    CLOSE

    ; Request the download
    SEND "D|"

    ; See if we got anything
    WHEN "FLAGGED FILES" SEND "Y|||"
    WHEN "(1) ENTER" GOTO NOFILES
    WAITFOR "%BBS39%"                      ; 39 == "Start Transfer"

    ; "Download" with no arguments uses configured protocol and sends the files
    ; to the configured download directory.
    DOWNLOAD

    ; Would be nice to be able to go:
    IMPORT "D" "VAMPILE.LST" EXISTONLY
    ERASE "VAMPIRE.LST"

:SUCCESS
    EXIT 0

:NOFILES
    MESSAGE "No new files to download"
    SEND "|||"
    GOTO SUCCESS
